import { StyleSheet, Dimensions } from 'react-native';
import { getDp } from '../../../../utils'; // 右侧按钮基本样式

const BaseOrgApplyButton = {
  alignSelf: 'center',
  justifyContent: 'center',
  width: Dimensions.get('window').width * 100 / 640,
  height: Dimensions.get('window').width * 100 / 640,
  borderRadius: Dimensions.get('window').width * 100 / 640,
  backgroundColor: '#FF8E5B'
}; // 右侧按钮文字基本样式

const BaseOrgApplyButtonText = {
  textAlign: 'center',
  fontSize: 12,
  fontWeight: '600',
  color: '#fff'
};
export const prefixCls = 'org-item';
export default StyleSheet.create({
  [prefixCls]: {
    position: 'relative',
    flexDirection: 'row',
    justifyContent: 'space-between',
    paddingHorizontal: Dimensions.get('window').width * 100 / 640,
    paddingVertical: Dimensions.get('window').width * 100 / 640,
    backgroundColor: '#fff'
  },
  [`${prefixCls}-split`]: {
    position: 'absolute',
    bottom: 0,
    left: Dimensions.get('window').width * 100 / 640,
    right: Dimensions.get('window').width * 100 / 640,
    height: Dimensions.get('window').width * 100 / 640,
    backgroundColor: '#eee'
  },
  [`${prefixCls}-left`]: {
    flexDirection: 'row'
  },
  [`${prefixCls}-logo`]: {
    width: Dimensions.get('window').width * 100 / 640,
    height: Dimensions.get('window').width * 100 / 640,
    marginRight: Dimensions.get('window').width * 100 / 640
  },
  [`${prefixCls}-org-info-top`]: {
    flexDirection: 'row',
    marginBottom: Dimensions.get('window').width * 100 / 640
  },
  [`${prefixCls}-org-name`]: {
    lineHeight: 17,
    fontSize: 16,
    color: '#333'
  },
  [`${prefixCls}-org-feature`]: {
    height: Dimensions.get('window').width * 100 / 640,
    marginLeft: Dimensions.get('window').width * 100 / 640,
    justifyContent: 'center',
    alignItems: 'center',
    borderStyle: 'solid',
    borderWidth: 1,
    borderColor: '#37ACF4'
  },
  [`${prefixCls}-org-feature-info`]: {
    fontSize: 10,
    color: '#37ACF4'
  },
  [`${prefixCls}-org-amount`]: {
    flexDirection: 'row',
    alignItems: 'center',
    marginBottom: Dimensions.get('window').width * 100 / 640
  },
  [`${prefixCls}-org-amount-value-container`]: {
    marginRight: Dimensions.get('window').width * 100 / 640
  },
  [`${prefixCls}-org-amount-value`]: {
    lineHeight: 16,
    fontSize: 16,
    fontWeight: '600',
    color: '#FF552E'
  },
  [`${prefixCls}-org-rate`]: {
    fontSize: 10,
    color: '#666'
  },
  [`${prefixCls}-org-rate-value`]: {
    fontWeight: '600',
    color: '#000'
  },
  [`${prefixCls}-org-ad`]: {
    fontSize: 10,
    color: '#666'
  },
  [`${prefixCls}-org-apply-button`]: BaseOrgApplyButton,
  [`${prefixCls}-org-apply-button-disabled`]: Object.assign({}, BaseOrgApplyButton, {
    backgroundColor: '#eee'
  }),
  [`${prefixCls}-org-apply-button-text`]: BaseOrgApplyButtonText,
  [`${prefixCls}-org-apply-button-text-disabled`]: Object.assign({}, BaseOrgApplyButtonText, {
    color: '#ccc'
  })
});